com.opensymphony.xwork2.interceptor

## Class LoggingInterceptor

- java.lang.Object
- - org.apache.struts2.interceptor.AbstractInterceptor
  - - com.opensymphony.xwork2.interceptor.AbstractInterceptor
    - - com.opensymphony.xwork2.interceptor.LoggingInterceptor

- All Implemented Interfaces:
    Serializable, ConditionalInterceptor, Interceptor

  Deprecated.
  since 6.7.0, use `LoggingInterceptor` instead.

      @Deprecated
      public class LoggingInterceptor
      extends AbstractInterceptor

  This interceptor logs the start and end of the execution an action (in English-only, not internationalized).
  Note:: This interceptor will log at `INFO` level.

  There are no parameters for this interceptor. There are no obvious extensions to the existing interceptor.

       <!-- prints out a message before and after the immediate action execution -->
       <action name="someAction" class="com.examples.SomeAction">
           <interceptor-ref name="completeStack"/>
           <interceptor-ref name="logger"/>
           <result name="success">good_result.ftl</result>
       </action>

       <!-- prints out a message before any more interceptors continue and after they have finished -->
       <action name="someAction" class="com.examples.SomeAction">
           <interceptor-ref name="logger"/>
           <interceptor-ref name="completeStack"/>
           <result name="success">good_result.ftl</result>
       </action>

  Author:
    Jason Carreira
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ConditionalInterceptor

      `ConditionalInterceptor.LegacyAdapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingInterceptor()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `intercept(ActionInvocation invocation)` Deprecated. Override to handle interception

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor

      `intercept, shouldIntercept, shouldIntercept`

    - ### Methods inherited from class org.apache.struts2.interceptor.AbstractInterceptor

      `destroy, init, setDisabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ConditionalInterceptor

      `adapt`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.Interceptor

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.Interceptor

      `destroy, init`

- - ### Constructor Detail

    - #### LoggingInterceptor

          public LoggingInterceptor()

      Deprecated.

  - ### Method Detail

    - #### intercept

          public String intercept(ActionInvocation invocation)
                           throws Exception

      Deprecated.
      Description copied from class: `AbstractInterceptor`
      Override to handle interception
      Specified by:
        `intercept` in class `AbstractInterceptor`
      Throws:
        `Exception`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.